## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NodeSorter Class Reference

This class can sort vectors of nodes according to a select pattern. More...

`#include <NodeSorter.hpp>`

List of all members.

## Public Types

- typedef std::vector<VectorEntry> NodeVectorType
- typedef std::vector<NodeSortKey> NodeSortKeyVectorType
- typedef std::vector<double> NumberVectorType
- typedef std::vector<XObjectPtr> XObjectVectorType
- typedef std::vector<XalanDOMString> StringVectorType
- typedef std::vector<NumberVectorType> NumberCacheType
- typedef std::vector<XObjectVectorType> XObjectCacheType
- typedef std::vector<StringVectorType> StringCacheType
- typedef NumberCacheType NumberResultsCacheType
- typedef StringCacheType StringResultsCacheType

## Public Methods

- NodeSorter ()
- ~NodeSorter ()
- NodeSortKeyVectorType& getSortKeys ()
- void sort ( StylesheetExecutionContext& executionContext, MutableNodeRefList& theList)
    Given a list of nodes, sort each node according to the criteria in the keys. More...

## Friends

- struct NodeSortKeyCompare

## Detailed Description

This class can sort vectors of nodes according to a select pattern.

## Member Typedef Documentation

typedef std::vector<NodeSortKey> NodeSorter::NodeSortKeyVectorType

typedef std::vector<VectorEntry> NodeSorter::NodeVectorType

typedef std::vector<NumberVectorType> NodeSorter::NumberCacheType

typedef NumberCacheType NodeSorter::NumberResultsCacheType

typedef std::vector<double> NodeSorter::NumberVectorType

typedef std::vector<StringVectorType> NodeSorter::StringCacheType

typedef StringCacheType NodeSorter::StringResultsCacheType

typedef std::vector<XalanDOMString> NodeSorter::StringVectorType

typedef std::vector<XObjectVectorType> NodeSorter::XObjectCacheType

typedef std::vector<XObjectPtr> NodeSorter::XObjectVectorType

## Constructor & Destructor Documentation

NodeSorter::NodeSorter ( | )`[explicit]`

NodeSorter::~NodeSorter ( | )

## Member Function Documentation

NodeSortKeyVectorType & NodeSorter::getSortKeys ( | )`[]`

void NodeSorter::sort ( | StylesheetExecutionContext & executionContext,
| MutableNodeRefList & theList )

Given a list of nodes, sort each node according to the criteria in the keys.

The list is assumed to be in document order.

Parameters:

  executionContext | current execution context
  v | list of Nodes

## Friends And Related Function Documentation

struct NodeSortKeyCompare`[friend]`

The documentation for this class was generated from the following file:

- NodeSorter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.